Overview
Overview
Overview
NetShield Overview APIs for Network Protection sites.
Version information
Version : 1.0.0.BETA
License information
Terms of service : https://www.nexusguard.com/
URI scheme
Host : api.nexusguard.com
BasePath : /api
Schemes : HTTPS
Paths
Update the NetShield Overview for a Network Protection site.
POST /spe/np/site/{site_id}/policy/netshield-overview
Description
Updates site-level detection and mitigation overview for a Network Protection site. When detection mode is off, auto-mitigation settings cannot be changed.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | site_id required |
Network Protection site ID. Obtain from GET /spe/np/sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Body | overview optional |
Site-level NetShield overview policy. Fields are subject to conditional update rules: when detection.mode is off, no other policy fields can be updated; when network_detection.mode is not off, network_mitigation may be updated; when host_detection.mode is not off, host_mitigation may be updated; when detection.mode is template, network_detection.template_id and host_detection.template_id may be updated; when network_mitigation.mode is on, other network_mitigation fields may be updated; when host_mitigation.mode is on, other host_mitigation fields may be updated. | overview |
| Name | Description | Schema |
|---|---|---|
| site optional |
Site section of the policy overview. | site |
| Name | Description | Schema |
|---|---|---|
| policy optional |
Site-level policy overview. When detection.mode is off, no other fields in this object can be updated. | policy |
| Name | Description | Schema |
|---|---|---|
| detection optional |
Detection policy. | detection |
| host_detection optional |
Host detection policy. Can be updated only when detection.mode is not off. | host_detection |
| host_mitigation optional |
Host auto-mitigation policy. Can be updated only when detection.mode is not off and host_detection.mode is not off. | host_mitigation |
| network_detection optional |
Network detection policy. Can be updated only when detection.mode is not off. | network_detection |
| network_mitigation optional |
Network auto-mitigation policy. Can be updated only when detection.mode is not off and network_detection.mode is not off. | network_mitigation |
| Name | Description | Schema |
|---|---|---|
| mode optional |
Detection mode. Allowed values: off, custom, template. When set to off, no other policy fields in this request can be updated. | enum (off, custom, template) |
| Name | Description | Schema |
|---|---|---|
| mode optional |
Host detection mode. Allowed values: off, on. Can be updated only when detection.mode is not off. | enum (off, on) |
| template_id optional |
Host detection template ID. Obtain from the detection template list API in Network Protection/Detection Templates. Can be updated only when detection.mode is template. | integer |
| Name | Description | Schema |
|---|---|---|
| mitigation_template_id optional |
Auto-mitigation profile ID for host-level policy. Obtain from the auto-profiles list API in Network Protection/Auto Mitigation. Can be updated only when host_mitigation.mode is on. | string |
| mode optional |
Host auto-mitigation mode. Allowed values: off, on. Can be updated only when detection.mode is not off and host_detection.mode is not off. | enum (off, on) |
| Name | Description | Schema |
|---|---|---|
| mode optional |
Network detection mode. Allowed values: off, on. Can be updated only when detection.mode is not off. | enum (off, on) |
| template_id optional |
Network detection template ID. Obtain from the detection template list API in Network Protection/Detection Templates. Can be updated only when detection.mode is template. | integer |
| Name | Description | Schema |
|---|---|---|
| mitigation_template_id optional |
Auto-mitigation profile ID for network-level policy. Obtain from the auto-profiles list API in Network Protection/Auto Mitigation. Can be updated only when network_mitigation.mode is on. | string |
| mode optional |
Network auto-mitigation mode. Allowed values: off, on. Can be updated only when detection.mode is not off and network_detection.mode is not off. | enum (off, on) |
| network_protection_route_profile_id optional |
Network protection route profile ID (subnetwork mask). Obtain from the network-protection-route-profiles list API. Can be updated only when network_mitigation.mode is on. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. 0 indicates success. | integer |
| msg optional |
Error message. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get the NetShield Overview for a Network Protection site.
GET /spe/np/site/{site_id}/policy/netshield-overview
Description
Returns site-level detection and mitigation overview for a Network Protection site.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | site_id required |
Network Protection site ID. Obtain from GET /spe/np/sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. 0 indicates success. | integer |
| msg optional |
Error message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| site optional |
Site section of the policy overview. | site |
| Name | Description | Schema |
|---|---|---|
| policy optional |
Site-level policy overview. | policy |
| Name | Description | Schema |
|---|---|---|
| detection optional |
Detection policy. | detection |
| host_detection optional |
Host detection policy. | host_detection |
| host_mitigation optional |
Host auto-mitigation policy. | host_mitigation |
| network_detection optional |
Network detection policy. | network_detection |
| network_mitigation optional |
Network auto-mitigation policy. | network_mitigation |
| Name | Description | Schema |
|---|---|---|
| mode optional |
Detection mode. Allowed values: off, custom, template. | enum (off, custom, template) |
| Name | Description | Schema |
|---|---|---|
| mode optional |
Host detection mode. Allowed values: off, on. | enum (off, on) |
| template_id optional |
Host detection template ID. Obtain from the detection template list API in Network Protection/Detection Templates. | integer |
| template_name optional |
Host detection template name. | string |
| Name | Description | Schema |
|---|---|---|
| mitigation_template_id optional |
Auto-mitigation profile ID for host-level policy. Obtain from the auto-profiles list API in Network Protection/Auto Mitigation. | string |
| mitigation_template_name optional |
Auto-mitigation profile name for host-level policy. | string |
| mode optional |
Host auto-mitigation mode. | enum (off, on) |
| Name | Description | Schema |
|---|---|---|
| mode optional |
Network detection mode. Allowed values: off, on. | enum (off, on) |
| template_id optional |
Network detection template ID. Obtain from the detection template list API in Network Protection/Detection Templates. | integer |
| template_name optional |
Network detection template name. | string |
| Name | Description | Schema |
|---|---|---|
| mitigation_template_id optional |
Auto-mitigation profile ID for network-level policy. Obtain from the auto-profiles list API in Network Protection/Auto Mitigation. | string |
| mitigation_template_name optional |
Auto-mitigation profile name for network-level policy. | string |
| mode optional |
Network auto-mitigation mode. | enum (off, on) |
| network_protection_route_profile_id optional |
Network protection route profile ID (subnetwork mask). Obtain from the network-protection-route-profiles list API. | string |
| network_protection_route_profile_name optional |
Network protection route profile name. | string |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get the Network Protection route profile list.
GET /spe/np/site/{site_id}/policy/template/network-protection-route-profiles
Description
Returns network protection route profiles (subnetwork masks) for the NetShield Overview.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | site_id required |
Network Protection site ID. Obtain from GET /spe/np/sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. 0 indicates success. | integer |
| msg optional |
Error message. | string |
| result optional |
< result > array |
| Name | Description | Schema |
|---|---|---|
| profile_id optional |
Unique identifier of a route profile. | string |
| profile_name optional |
Name of the route profile. | string |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Security
ApiKeyAuth
Type : apiKey
Name : access_token
In : QUERY